import type { Ref } from 'vue-demi';
import type { ReferenceType } from '@visoning/vue-floating-core';
export declare type ForwardReferenceType = ReferenceType | undefined;
export interface ForwardReferenceContextValue {
    forwardReference: (reference: ForwardReferenceType) => void;
}
export declare const useSafeReferenceForwardContent: () => ForwardReferenceContextValue;
export declare const useReferenceForwardContext: () => ForwardReferenceContextValue;
export declare const providePopupContextValue: (contextValue: ForwardReferenceContextValue) => void;
export declare const createReferenceForwardContext: (referenceRef?: Ref<ForwardReferenceType>) => Ref<ReferenceType>;
